%define pkg_name        Date-Range
%define pkg_version     1.40
%define rpm_pkg_version 1.40
%define rpm_pkg_release 2.n0i.4

Summary:       Deal with a range of dates
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TM/TMTM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Date::Simple) >= 0.03}
%{!?_without_test:BuildRequires: perl(Test::More) >= 0.04}


%description
Quite often, when dealing with dates, we don't just want to know
information about one particular date, but about a range of dates. For
example, we may wish to know whether a given date is in a particular range,
or what the overlap is between one range and another. This module lets you
ask such questions.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.40-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 1.40-1.n0i.3
- version 1.40

* Fri Sep 09 2005 Marius Feraru <altblue@n0i.net> 1.3-1.n0i.2
- version 1.3

* Tue Aug 09 2005 Marius Feraru <altblue@n0i.net> 1.2-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
